<div class="container">
  <label for="filtrar">
    Filtrar:
  </label>
  <input type="text" id="filtrar" [formControl]="form">
  <br>
  <br>
  <div>
    <button type="button" (click)="filtrar()" [disabled]="form.invalid">Filtrar!</button>
    <button type="button" (click)="getUsers()">Get Songs!</button>
    <button type="button" (click)="getPdf()">Generar informe!</button>
  </div>
  <br>
  <div #pdfTable>
    <table *ngFor="let song of data">
      <thead>
      <tr>
        <th>Nom: {{song['Nom']}}</th>
      </tr>
      </thead>
  </table>
</div>
</div>
